cocoapods迭代版本时,出现问题

1. 问题1:[iOS] xcodebuild: Returned an unsuccessful exit code. You can use `--verbose` for more information.

解决:添加框架引用的系统框架到CZFTool.podsepc文件中(主要引用的是framework: s.frameworks = "Foundation", "UIKit",   C语言的库引用s.xcconfig = { "HEADER_SEARCH_PATHS" => "$(SDKROOT)/usr/include/CommonCrypto" }


s.frameworks = "Foundation","UIKit"
最好使用 pod spec lint CZFTool.podspec --verbose (打印错误信息)

如果有引用到库framwork或C语言库的话必须使用

pod spec lint CZFTool.podspec --use-libraries // 验证

pod trunk push CZFTool.podspec  --use-libraries           // 上传

2. 问题2:[iOS] unknown: Encountered an unknown error ([!] /usr/bin/git clone https://github.com/MacleChen/***

解决:(可能1)必须保证github上有上传框架代码和示例代码,同时保证统一和上传tag版本

(可能2)在执行中pod spec lint CZFTool.podspec --use-libraries  (有引用框架时,需加入 --use-libraries)

阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/yishengzhiai005/article/details/73558673
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭